classification
Title: documentation: recommend Python 3 over 2 in faq
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, abcdef, docs@python, gus.goulart, miss-islington, taleinat, xtreak
Priority: normal Keywords: patch

Created on 2018-07-24 01:55 by abcdef, last changed 2019-03-26 21:20 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9796 merged gus.goulart, 2018-10-11 03:10
PR 9815 merged miss-islington, 2018-10-12 09:16
PR 9816 merged miss-islington, 2018-10-12 09:17
PR 9817 merged miss-islington, 2018-10-12 09:17
PR 9821 merged taleinat, 2018-10-12 12:18
PR 12567 merged miss-islington, 2019-03-26 21:11
PR 12568 merged miss-islington, 2019-03-26 21:11
Messages (11)
msg322273 - (view) Author: (abcdef) Date: 2018-07-24 01:55
FAQ "How stable is Python" https://docs.python.org/3/faq/general.html#how-stable-is-python" states

"There are two recommended production-ready versions at this point in time, because at the moment there are two branches of stable releases: 2.x and 3.x. Python 3.x may be less useful than 2.x, since currently there is more third party software available for Python 2 than for Python 3. Python 2 code will generally not run unchanged in Python 3."

According to git blame, this is from 2009. Could we change this to recommend Python 3 over Python 2 now?
msg322274 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-07-24 02:03
Yep. Please propose a patch.

I think this should be updated even for Python 2.7 docs, which is nearing EOL.
msg327507 - (view) Author: Gus Goulart (gus.goulart) * Date: 2018-10-11 03:17
Thanks for pointing that out. If you don't mind, I have created a PR to address your requests.
msg327576 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-10-12 09:16
New changeset 4505f65ae7807f2420ed14d4f060e7cd5c4039d3 by Tal Einat (Gus Goulart) in branch 'master':
bpo-34203: FAQ now recommends python 3.x over 2.x (GH-9796)
https://github.com/python/cpython/commit/4505f65ae7807f2420ed14d4f060e7cd5c4039d3
msg327581 - (view) Author: miss-islington (miss-islington) Date: 2018-10-12 12:06
New changeset d4ed8809ddfaa23fe5edf2987c03afc32f5576c0 by Miss Islington (bot) in branch '3.7':
bpo-34203: FAQ now recommends python 3.x over 2.x (GH-9796)
https://github.com/python/cpython/commit/d4ed8809ddfaa23fe5edf2987c03afc32f5576c0
msg327582 - (view) Author: miss-islington (miss-islington) Date: 2018-10-12 12:06
New changeset 86cfac47cf736fae90a617959288ccade18fd07e by Miss Islington (bot) in branch '3.6':
bpo-34203: FAQ now recommends python 3.x over 2.x (GH-9796)
https://github.com/python/cpython/commit/86cfac47cf736fae90a617959288ccade18fd07e
msg327583 - (view) Author: miss-islington (miss-islington) Date: 2018-10-12 12:06
New changeset 6198976ec807cf3b658e902fd63db88a3ac99b8c by Miss Islington (bot) in branch '2.7':
bpo-34203: FAQ now recommends python 3.x over 2.x (GH-9796)
https://github.com/python/cpython/commit/6198976ec807cf3b658e902fd63db88a3ac99b8c
msg335869 - (view) Author: (abcdef) Date: 2019-02-18 21:58
Thank you. I understand this is fixed now and I'm marking the ticket as closed.
msg338916 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-03-26 21:10
New changeset 6cd658b1a5cb2413230dbc2d9395d20498be8518 by Tal Einat in branch 'master':
bpo-34203: FAQ: improve wording of paragraph about 2.x vs. 3.x (GH-9821)
https://github.com/python/cpython/commit/6cd658b1a5cb2413230dbc2d9395d20498be8518
msg338917 - (view) Author: miss-islington (miss-islington) Date: 2019-03-26 21:17
New changeset 5a3316931c6042df44b3b342df956cd6a77e8dcd by Miss Islington (bot) in branch '2.7':
[2.7] bpo-34203: FAQ: improve wording of paragraph about 2.x vs. 3.x (GH-9821) (GH-12568)
https://github.com/python/cpython/commit/5a3316931c6042df44b3b342df956cd6a77e8dcd
msg338918 - (view) Author: miss-islington (miss-islington) Date: 2019-03-26 21:20
New changeset 5ac626350e2bfe5f283e7322bc31045062680d2b by Miss Islington (bot) in branch '3.7':
bpo-34203: FAQ: improve wording of paragraph about 2.x vs. 3.x (GH-9821)
https://github.com/python/cpython/commit/5ac626350e2bfe5f283e7322bc31045062680d2b
History
Date User Action Args
2019-03-26 21:20:33miss-islingtonsetmessages: + msg338918
2019-03-26 21:17:21miss-islingtonsetmessages: + msg338917
2019-03-26 21:11:27miss-islingtonsetpull_requests: + pull_request12513
2019-03-26 21:11:14miss-islingtonsetpull_requests: + pull_request12512
2019-03-26 21:10:50taleinatsetmessages: + msg338916
2019-02-18 21:58:27abcdefsetstatus: open -> closed
resolution: fixed
messages: + msg335869

stage: patch review -> resolved
2018-10-12 12:18:38taleinatsetpull_requests: + pull_request9198
2018-10-12 12:06:20miss-islingtonsetmessages: + msg327583
2018-10-12 12:06:16miss-islingtonsetmessages: + msg327582
2018-10-12 12:06:12miss-islingtonsetnosy: + miss-islington
messages: + msg327581
2018-10-12 09:17:10miss-islingtonsetpull_requests: + pull_request9195
2018-10-12 09:17:02miss-islingtonsetpull_requests: + pull_request9194
2018-10-12 09:16:55miss-islingtonsetpull_requests: + pull_request9193
2018-10-12 09:16:54taleinatsetmessages: + msg327576
2018-10-11 03:17:13gus.goulartsetnosy: + taleinat, gus.goulart
messages: + msg327507
2018-10-11 03:10:54gus.goulartsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9180
2018-07-31 18:07:05xtreaksetnosy: + xtreak
2018-07-24 02:03:37Mariattasetversions: + Python 2.7, Python 3.6, Python 3.7
nosy: + Mariatta

messages: + msg322274

stage: needs patch
2018-07-24 01:55:28abcdefcreate